Debian Bug report logs - #641530
fop: fails with java.lang.IllegalArgumentException: Cannot open file sRGB.pf

version graph

Package: openjdk-6; Maintainer for openjdk-6 is OpenJDK Team <openjdk@lists.launchpad.net>;

Reported by: Raphaël Hertzog <hertzog@debian.org>

Date: Wed, 14 Sep 2011 07:54:12 UTC

Severity: serious

Tags: sid, wheezy

Merged with 642933

Fixed in versions openjdk-6/6b23~pre9-2, 6b23~pre9-2

Done: "Damien Raude-Morvan" <drazzib@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-java@lists.debian.org, erlang@packages.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#641530; Package fop. (Wed, 14 Sep 2011 07:54:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphaël Hertzog <hertzog@debian.org>:
New Bug report received and forwarded. Copy sent to debian-java@lists.debian.org, erlang@packages.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Wed, 14 Sep 2011 07:54:16 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Raphaël Hertzog <hertzog@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: fop: fails with java.lang.IllegalArgumentException: Cannot open file sRGB.pf
Date: Wed, 14 Sep 2011 09:51:40 +0200
Package: fop
Version: 1:1.0.dfsg2-2
Severity: grave
Justification: renders package unusable

As you can see in #640308, fop doesn't work any longer... and I have the exact
same problem when trying to build the publican package.

I'm not sure what's the root cause of the problem but it might be similar
to this report:
http://www-01.ibm.com/support/docview.wss?uid=swg1PM17433

So possibly a security change that forbids the automatic discovery
of files with a relative path if some symlinks are involved. CCing debian-java
as their input can be useful here.

I'm using:
$ java -version
java version "1.6.0_23"
OpenJDK Runtime Environment (IcedTea6 1.11pre) (6b23~pre9-1)
OpenJDK Server VM (build 20.0-b11, mixed mode)

Failure log:

[warning] /usr/bin/fop: Unable to locate servlet-api in /usr/share/java
java.lang.IllegalArgumentException: Cannot open file sRGB.pf
	at java.awt.color.ICC_Profile.activateDeferredProfile(ICC_Profile.java:1085)
	at java.awt.color.ICC_Profile$1.activate(ICC_Profile.java:741)
	at sun.java2d.cmm.ProfileDeferralMgr.activateProfiles(ProfileDeferralMgr.java:93)
	at java.awt.color.ICC_Profile.getInstance(ICC_Profile.java:774)
	at java.awt.color.ICC_Profile.getInstance(ICC_Profile.java:994)
	at org.apache.fop.pdf.PDFICCBasedColorSpace.setupsRGBColorProfile(PDFICCBasedColorSpace.java:141)
	at org.apache.fop.pdf.PDFICCBasedColorSpace.setupsRGBAsDefaultRGBColorSpace(PDFICCBasedColorSpace.java:109)
	at org.apache.fop.render.pdf.PDFRenderingUtil.addsRGBColorSpace(PDFRenderingUtil.java:265)
	at org.apache.fop.render.pdf.PDFRenderingUtil.setupPDFDocument(PDFRenderingUtil.java:378)
	at org.apache.fop.render.pdf.PDFDocumentHandler.startDocument(PDFDocumentHandler.java:144)
	at org.apache.fop.render.intermediate.IFRenderer.startRenderer(IFRenderer.java:253)
	at org.apache.fop.area.RenderPagesModel.<init>(RenderPagesModel.java:79)
	at org.apache.fop.area.AreaTreeHandler.setupModel(AreaTreeHandler.java:130)
	at org.apache.fop.area.AreaTreeHandler.<init>(AreaTreeHandler.java:102)
	at org.apache.fop.render.RendererFactory.createFOEventHandler(RendererFactory.java:359)
	at org.apache.fop.fo.FOTreeBuilder.<init>(FOTreeBuilder.java:105)
	at org.apache.fop.apps.Fop.createDefaultHandler(Fop.java:101)
	at org.apache.fop.apps.Fop.<init>(Fop.java:79)
	at org.apache.fop.apps.FopFactory.newFop(FopFactory.java:271)
	at org.apache.fop.cli.InputHandler.renderTo(InputHandler.java:109)
	at org.apache.fop.cli.Main.startFOP(Main.java:174)
	at org.apache.fop.cli.Main.main(Main.java:207)


-- System Information:
Debian Release: wheezy/sid
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'proposed-updates'), (500, 'unstable'), (500, 'testing'), (500, 'stable'), (150, 'experimental')
Architecture: i386 (x86_64)

Kernel: Linux 3.0.0-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.utf8, LC_CTYPE=fr_FR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages fop depends on:
ii  default-jre-headless [java2-runtime-headless]    1:1.6-43   
ii  gcj-4.4-jre-headless [java2-runtime-headless]    4.4.6-10   
ii  gcj-4.6-jre-headless [java2-runtime-headless]    4.6.1-4    
ii  gcj-jre-headless [java2-runtime-headless]        4:4.6.1-2  
ii  java-wrappers                                    0.1.23     
ii  libavalon-framework-java                         4.2.0-7    
ii  libbatik-java                                    1.7-7      
ii  libbsf-java                                      1:2.4.0-4  
ii  libcommons-io-java                               1.4-3      
ii  libcommons-logging-java                          1.1.1-8    
ii  libxalan2-java                                   2.7.1-5    
ii  libxerces2-java                                  2.11.0-2   
ii  libxml-commons-external-java                     1.4.01-2   
ii  libxmlgraphics-commons-java                      1.4.dfsg-3 
ii  libxt6                                           1:1.1.1-2  
ii  libxtst6                                         2:1.2.0-3  
ii  openjdk-6-jre-headless [java2-runtime-headless]  6b23~pre9-1
ii  sun-java6-jre [java2-runtime-headless]           6.26-3     

Versions of packages fop recommends:
ii  libsaxon-java  1:6.5.5-7

Versions of packages fop suggests:
pn  fop-doc             <none>
pn  libservlet2.4-java  <none>

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#641530; Package fop. (Wed, 14 Sep 2011 08:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvestre Ledru <sylvestre@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Wed, 14 Sep 2011 08:21:05 GMT) Full text and rfc822 format available.

Message #10 received at 641530@bugs.debian.org (full text, mbox):

From: Sylvestre Ledru <sylvestre@debian.org>
To: Raphaël Hertzog <hertzog@debian.org>, 641530@bugs.debian.org
Cc: control@bugs.debian.or
Subject: Re: Bug#641530: fop: fails with java.lang.IllegalArgumentException: Cannot open file sRGB.pf
Date: Wed, 14 Sep 2011 10:18:39 +0200
reassign 641530 openjdk-6
forcemerge 641530 639883
thanks


Bonjour Raphael,

Le mercredi 14 septembre 2011 à 09:51 +0200, Raphaël Hertzog a écrit :
> Package: fop
> Version: 1:1.0.dfsg2-2
> Severity: grave
> Justification: renders package unusable
Actually, this is a bug from the openjdk due to the multiarch switch of
the openjdk ...

Sylvestre






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#641530; Package fop. (Wed, 14 Sep 2011 08:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvestre Ledru <sylvestre@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Wed, 14 Sep 2011 08:21:07 GMT) Full text and rfc822 format available.

Message #15 received at 641530@bugs.debian.org (full text, mbox):

From: Sylvestre Ledru <sylvestre@debian.org>
To: Raphaël Hertzog <hertzog@debian.org>, 641530@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#641530: fop: fails with java.lang.IllegalArgumentException: Cannot open file sRGB.pf
Date: Wed, 14 Sep 2011 10:19:43 +0200
reassign 641530 openjdk-6
forcemerge 641530 639883
thanks


Bonjour Raphael,

Le mercredi 14 septembre 2011 à 09:51 +0200, Raphaël Hertzog a écrit :
> Package: fop
> Version: 1:1.0.dfsg2-2
> Severity: grave
> Justification: renders package unusable
Actually, this is a bug from the openjdk due to the multiarch switch of
the openjdk ...

Sylvestre







Added indication that bug 641530 blocks 640308 Request was from Raphaël Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Wed, 14 Sep 2011 08:21:10 GMT) Full text and rfc822 format available.

Bug reassigned from package 'fop' to 'openjdk-6'. Request was from Sylvestre Ledru <sylvestre@debian.org> to control@bugs.debian.org. (Wed, 14 Sep 2011 08:21:13 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions fop/1:1.0.dfsg2-2. Request was from Sylvestre Ledru <sylvestre@debian.org> to control@bugs.debian.org. (Wed, 14 Sep 2011 08:21:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, OpenJDK Team <openjdk@lists.launchpad.net>:
Bug#641530; Package openjdk-6. (Wed, 14 Sep 2011 08:42:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to OpenJDK Team <openjdk@lists.launchpad.net>. (Wed, 14 Sep 2011 08:42:20 GMT) Full text and rfc822 format available.

Message #26 received at 641530@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Sylvestre Ledru <sylvestre@debian.org>
Cc: 641530@bugs.debian.org, 639883@bugs.debian.org
Subject: Re: Bug#641530: fop: fails with java.lang.IllegalArgumentException: Cannot open file sRGB.pf
Date: Wed, 14 Sep 2011 10:40:43 +0200
On Wed, 14 Sep 2011, Sylvestre Ledru wrote:
> Le mercredi 14 septembre 2011 à 09:51 +0200, Raphaël Hertzog a écrit :
> > Package: fop
> > Version: 1:1.0.dfsg2-2
> > Severity: grave
> > Justification: renders package unusable
> Actually, this is a bug from the openjdk due to the multiarch switch of
> the openjdk ...

Are you sure? Because #639883 claims to be fixed with openjdk-6 6b23~pre9-1
but I have this version installed and it doesn't work for me...

And I have the structure that Doko intented (cmm dir is a symlink):

$ ls -al /usr/lib/jvm/java-6-openjdk-i386/jre/lib/cmm
lrwxrwxrwx 1 root root 42  1 sept. 13:06 /usr/lib/jvm/java-6-openjdk-i386/jre/lib/cmm -> ../../../java-6-openjdk-common/jre/lib/cmm
$ ls -al /usr/lib/jvm/java-6-openjdk-i386/jre/lib/cmm/
total 264
drwxr-xr-x 2 root root   4096  2 sept. 08:49 .
drwxr-xr-x 6 root root   4096  2 sept. 08:49 ..
-rw-r--r-- 1 root root    784  1 sept. 12:57 CIEXYZ.pf
-rw-r--r-- 1 root root    556  1 sept. 12:57 GRAY.pf
-rw-r--r-- 1 root root    488  1 sept. 12:57 LINEAR_RGB.pf
-rw-r--r-- 1 root root 234080  1 sept. 12:57 PYCC.pf
-rw-r--r-- 1 root root   6876  1 sept. 12:57 sRGB.pf

So either we unmerge or we reopen, I'll let you decide.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Follow my Debian News ▶ http://RaphaelHertzog.com (English)
                      ▶ http://RaphaelHertzog.fr (Français)




Information forwarded to debian-bugs-dist@lists.debian.org, OpenJDK Team <openjdk@lists.launchpad.net>:
Bug#641530; Package openjdk-6. (Wed, 14 Sep 2011 08:48:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvestre Ledru <sylvestre@debian.org>:
Extra info received and forwarded to list. Copy sent to OpenJDK Team <openjdk@lists.launchpad.net>. (Wed, 14 Sep 2011 08:48:12 GMT) Full text and rfc822 format available.

Message #31 received at 641530@bugs.debian.org (full text, mbox):

From: Sylvestre Ledru <sylvestre@debian.org>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 641530@bugs.debian.org, 639883@bugs.debian.org
Subject: Re: Bug#641530: fop: fails with java.lang.IllegalArgumentException: Cannot open file sRGB.pf
Date: Wed, 14 Sep 2011 10:45:10 +0200
Le mercredi 14 septembre 2011 à 10:40 +0200, Raphael Hertzog a écrit :
> On Wed, 14 Sep 2011, Sylvestre Ledru wrote:
> > Le mercredi 14 septembre 2011 à 09:51 +0200, Raphaël Hertzog a écrit :
> > > Package: fop
> > > Version: 1:1.0.dfsg2-2
> > > Severity: grave
> > > Justification: renders package unusable
> > Actually, this is a bug from the openjdk due to the multiarch switch of
> > the openjdk ...
> 
> Are you sure? Because #639883 claims to be fixed with openjdk-6 6b23~pre9-1
> but I have this version installed and it doesn't work for me...
I don't think it is really fixed. 
The test case in my comment of 639883 shows that it is still failing.
(at least for me). It is likely to break on your system too.

I will try to have a look to fix this bug in the openjdk.

Sylvestre







Information forwarded to debian-bugs-dist@lists.debian.org, OpenJDK Team <openjdk@lists.launchpad.net>:
Bug#641530; Package openjdk-6. (Wed, 14 Sep 2011 09:30:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. Copy sent to OpenJDK Team <openjdk@lists.launchpad.net>. (Wed, 14 Sep 2011 09:30:17 GMT) Full text and rfc822 format available.

Message #36 received at 641530@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: Raphael Hertzog <hertzog@debian.org>, 639883@bugs.debian.org
Cc: Sylvestre Ledru <sylvestre@debian.org>, 641530@bugs.debian.org
Subject: Re: [Openjdk] Bug#639883: Bug#641530: fop: fails with java.lang.IllegalArgumentException: Cannot open file sRGB.pf
Date: Wed, 14 Sep 2011 11:26:56 +0200
On 09/14/2011 10:40 AM, Raphael Hertzog wrote:
> On Wed, 14 Sep 2011, Sylvestre Ledru wrote:
>> Le mercredi 14 septembre 2011 à 09:51 +0200, Raphaël Hertzog a écrit :
>>> Package: fop
>>> Version: 1:1.0.dfsg2-2
>>> Severity: grave
>>> Justification: renders package unusable
>> Actually, this is a bug from the openjdk due to the multiarch switch of
>> the openjdk ...
> 
> Are you sure? Because #639883 claims to be fixed with openjdk-6 6b23~pre9-1
> but I have this version installed and it doesn't work for me...
> 
> And I have the structure that Doko intented (cmm dir is a symlink):
> 
> $ ls -al /usr/lib/jvm/java-6-openjdk-i386/jre/lib/cmm
> lrwxrwxrwx 1 root root 42  1 sept. 13:06 /usr/lib/jvm/java-6-openjdk-i386/jre/lib/cmm -> ../../../java-6-openjdk-common/jre/lib/cmm
> $ ls -al /usr/lib/jvm/java-6-openjdk-i386/jre/lib/cmm/
> total 264
> drwxr-xr-x 2 root root   4096  2 sept. 08:49 .
> drwxr-xr-x 6 root root   4096  2 sept. 08:49 ..
> -rw-r--r-- 1 root root    784  1 sept. 12:57 CIEXYZ.pf
> -rw-r--r-- 1 root root    556  1 sept. 12:57 GRAY.pf
> -rw-r--r-- 1 root root    488  1 sept. 12:57 LINEAR_RGB.pf
> -rw-r--r-- 1 root root 234080  1 sept. 12:57 PYCC.pf
> -rw-r--r-- 1 root root   6876  1 sept. 12:57 sRGB.pf
> 
> So either we unmerge or we reopen, I'll let you decide.

this did work for me with the other test case. will just leave cmm there, and
not share it.






Information forwarded to debian-bugs-dist@lists.debian.org, OpenJDK Team <openjdk@lists.launchpad.net>:
Bug#641530; Package openjdk-6. (Wed, 14 Sep 2011 09:39:36 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to OpenJDK Team <openjdk@lists.launchpad.net>. (Wed, 14 Sep 2011 09:39:37 GMT) Full text and rfc822 format available.

Message #41 received at 641530@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Matthias Klose <doko@debian.org>
Cc: 639883@bugs.debian.org, Sylvestre Ledru <sylvestre@debian.org>, 641530@bugs.debian.org
Subject: Re: [Openjdk] Bug#639883: Bug#641530: fop: fails with java.lang.IllegalArgumentException: Cannot open file sRGB.pf
Date: Wed, 14 Sep 2011 11:37:55 +0200
Hi,

On Wed, 14 Sep 2011, Matthias Klose wrote:
> > And I have the structure that Doko intented (cmm dir is a symlink):
> > 
> > $ ls -al /usr/lib/jvm/java-6-openjdk-i386/jre/lib/cmm
> > lrwxrwxrwx 1 root root 42  1 sept. 13:06 /usr/lib/jvm/java-6-openjdk-i386/jre/lib/cmm -> ../../../java-6-openjdk-common/jre/lib/cmm
> 
> this did work for me with the other test case. will just leave cmm there, and
> not share it.

I just tried here and this works indeed (aka
/usr/lib/jvm/java-6-openjdk-i386/jre/lib/cmm is a real dir with the .pf
files).

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Follow my Debian News ▶ http://RaphaelHertzog.com (English)
                      ▶ http://RaphaelHertzog.fr (Français)




Severity set to 'serious' from 'grave' Request was from Raphaël Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Wed, 14 Sep 2011 13:07:11 GMT) Full text and rfc822 format available.

Reply sent to Damien Raude-Morvan <drazzib@debian.org>:
You have taken responsibility. (Fri, 23 Sep 2011 23:06:14 GMT) Full text and rfc822 format available.

Notification sent to Raphaël Hertzog <hertzog@debian.org>:
Bug acknowledged by developer. (Fri, 23 Sep 2011 23:06:14 GMT) Full text and rfc822 format available.

Message #48 received at 641530-close@bugs.debian.org (full text, mbox):

From: Damien Raude-Morvan <drazzib@debian.org>
To: 641530-close@bugs.debian.org
Subject: Bug#641530: fixed in openjdk-6 6b23~pre9-2
Date: Fri, 23 Sep 2011 23:04:25 +0000
Source: openjdk-6
Source-Version: 6b23~pre9-2

We believe that the bug you reported is fixed in the latest version of
openjdk-6, which is due to be installed in the Debian FTP archive:

icedtea-6-jre-cacao_6b23~pre9-2_amd64.deb
  to main/o/openjdk-6/icedtea-6-jre-cacao_6b23~pre9-2_amd64.deb
icedtea-6-jre-jamvm_6b23~pre9-2_amd64.deb
  to main/o/openjdk-6/icedtea-6-jre-jamvm_6b23~pre9-2_amd64.deb
openjdk-6-dbg_6b23~pre9-2_amd64.deb
  to main/o/openjdk-6/openjdk-6-dbg_6b23~pre9-2_amd64.deb
openjdk-6-demo_6b23~pre9-2_amd64.deb
  to main/o/openjdk-6/openjdk-6-demo_6b23~pre9-2_amd64.deb
openjdk-6-doc_6b23~pre9-2_all.deb
  to main/o/openjdk-6/openjdk-6-doc_6b23~pre9-2_all.deb
openjdk-6-jdk_6b23~pre9-2_amd64.deb
  to main/o/openjdk-6/openjdk-6-jdk_6b23~pre9-2_amd64.deb
openjdk-6-jre-headless_6b23~pre9-2_amd64.deb
  to main/o/openjdk-6/openjdk-6-jre-headless_6b23~pre9-2_amd64.deb
openjdk-6-jre-lib_6b23~pre9-2_all.deb
  to main/o/openjdk-6/openjdk-6-jre-lib_6b23~pre9-2_all.deb
openjdk-6-jre-zero_6b23~pre9-2_amd64.deb
  to main/o/openjdk-6/openjdk-6-jre-zero_6b23~pre9-2_amd64.deb
openjdk-6-jre_6b23~pre9-2_amd64.deb
  to main/o/openjdk-6/openjdk-6-jre_6b23~pre9-2_amd64.deb
openjdk-6-source_6b23~pre9-2_all.deb
  to main/o/openjdk-6/openjdk-6-source_6b23~pre9-2_all.deb
openjdk-6_6b23~pre9-2.diff.gz
  to main/o/openjdk-6/openjdk-6_6b23~pre9-2.diff.gz
openjdk-6_6b23~pre9-2.dsc
  to main/o/openjdk-6/openjdk-6_6b23~pre9-2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 641530@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Damien Raude-Morvan <drazzib@debian.org> (supplier of updated openjdk-6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 23 Sep 2011 18:56:53 +0200
Source: openjdk-6
Binary: openjdk-6-jdk openjdk-6-jre-headless openjdk-6-jre openjdk-6-jre-lib openjdk-6-demo openjdk-6-source openjdk-6-doc openjdk-6-dbg icedtea-6-jre-cacao icedtea-6-jre-jamvm openjdk-6-jre-zero
Architecture: source amd64 all
Version: 6b23~pre9-2
Distribution: unstable
Urgency: low
Maintainer: OpenJDK Team <openjdk@lists.launchpad.net>
Changed-By: Damien Raude-Morvan <drazzib@debian.org>
Description: 
 icedtea-6-jre-cacao - Alternative JVM for OpenJDK, using Cacao
 icedtea-6-jre-jamvm - Alternative JVM for OpenJDK, using JamVM
 openjdk-6-dbg - Java runtime based on OpenJDK (debugging symbols)
 openjdk-6-demo - Java runtime based on OpenJDK (demos and examples)
 openjdk-6-doc - OpenJDK Development Kit (JDK) documentation
 openjdk-6-jdk - OpenJDK Development Kit (JDK)
 openjdk-6-jre - OpenJDK Java runtime, using ${vm:Name}
 openjdk-6-jre-headless - OpenJDK Java runtime, using ${vm:Name} (headless)
 openjdk-6-jre-lib - OpenJDK Java runtime (architecture independent libraries)
 openjdk-6-jre-zero - Alternative JVM for OpenJDK, using Zero/Shark
 openjdk-6-source - OpenJDK Development Kit (JDK) source files
Closes: 639883 640476 641240 641530
Changes: 
 openjdk-6 (6b23~pre9-2) unstable; urgency=low
 .
   [ Matthias Klose ]
   * openjdk-6-jre-lib: Break openjdk-6-jre-headless (<< 6b23~pre9-1~).
     Closes: #640476.
 .
   [ Damien Raude-Morvan ]
   * d/patches/icc_loading_with_symlink.diff: Try to fix loading of ICC profile
     when jre/lib/cmm is a symlink. (Closes: #641530, #639883, #641240).
Checksums-Sha1: 
 0164a359a2c8afbd5f018ad77ccd696cfcb9242e 3663 openjdk-6_6b23~pre9-2.dsc
 391baf2ebd6665e852e910fc86ab9f7866745ed2 132766 openjdk-6_6b23~pre9-2.diff.gz
 9c7b8a3c4a5e889b09f798f024cd4f382b7b9c4e 10991506 openjdk-6-jdk_6b23~pre9-2_amd64.deb
 6c73d5f0f0b5f30d81c79edaee313bc1c6357574 25276260 openjdk-6-jre-headless_6b23~pre9-2_amd64.deb
 2ef1d78a20731c76545486f1e1f4676600df6c55 236156 openjdk-6-jre_6b23~pre9-2_amd64.deb
 1aff9a909fe6610aa9b49b4941e4495b1cb3efc1 2310334 openjdk-6-demo_6b23~pre9-2_amd64.deb
 d8c2bcc4d0c004f4311723357ef13632047f1f25 142342090 openjdk-6-dbg_6b23~pre9-2_amd64.deb
 8e48411902a8430ac787cb26fafd80260141fee5 442176 icedtea-6-jre-cacao_6b23~pre9-2_amd64.deb
 54a2dda4ba5e6cfe51151b54a1df5e87f40faf38 511862 icedtea-6-jre-jamvm_6b23~pre9-2_amd64.deb
 8110f418b25f89ff04be335094bd35f30193a628 2265642 openjdk-6-jre-zero_6b23~pre9-2_amd64.deb
 be7d3abad7d2ded5a47e4b424f0e57db9766d941 6131732 openjdk-6-jre-lib_6b23~pre9-2_all.deb
 75dfca00d5352054eccb40dcc6bf517beaf54779 40875652 openjdk-6-source_6b23~pre9-2_all.deb
 4abea9384e6ce0c2599c92651cad9d0f731b91ab 20578996 openjdk-6-doc_6b23~pre9-2_all.deb
Checksums-Sha256: 
 d5bc48124ffbbfc133085516ad5d9a3f1fecbbfa7ce55145ded1b54c4df58f14 3663 openjdk-6_6b23~pre9-2.dsc
 41c5116c1067e24da2456e02093bb9a468237e10a46214382c049cd00012e635 132766 openjdk-6_6b23~pre9-2.diff.gz
 a74995164eb3e9afea2fa8bd9386883ebcaadca48f41ec4f292e5ef668db4a9b 10991506 openjdk-6-jdk_6b23~pre9-2_amd64.deb
 122d23fede1dd5da9b7e20e9824b8bec411497b9a0050e154b6276f0a3d2ed81 25276260 openjdk-6-jre-headless_6b23~pre9-2_amd64.deb
 04e39458e3b1415165eb7e6dd64a6244181d9dae61f9f51cb24abbe5d26c625f 236156 openjdk-6-jre_6b23~pre9-2_amd64.deb
 e7f3158bb27ebc7475957bbbe240bb929fc3234be0613af898903d0f64469761 2310334 openjdk-6-demo_6b23~pre9-2_amd64.deb
 c89b85c8f9385c584ba799d4679c7d8f62d31becb9c9dd68f08140742f0da035 142342090 openjdk-6-dbg_6b23~pre9-2_amd64.deb
 3b0527c56a44c106ab8b1660efee611e65f86fbc48f227cef8919cf1085aea63 442176 icedtea-6-jre-cacao_6b23~pre9-2_amd64.deb
 743040118d9db58796035a5eb9b427121e195fce5d6549b89cf6e08fac3f2e68 511862 icedtea-6-jre-jamvm_6b23~pre9-2_amd64.deb
 b334e14e7577ade3415787dfcf31b9d21bf44a5a037827d2f5589056488dda8e 2265642 openjdk-6-jre-zero_6b23~pre9-2_amd64.deb
 2549bde32d83cc50f540e25eb1a1281a58817e7b527ab9c5123ecafb72464f1a 6131732 openjdk-6-jre-lib_6b23~pre9-2_all.deb
 86fe5d63396ed0fba0e9d1409ef7ac2cfd6060cf4a6f04d1145b96dc7b69b0d4 40875652 openjdk-6-source_6b23~pre9-2_all.deb
 12e658a7be0ba54a7d30cc682a1579ed0d24a43ababa1c15c0620f6d3d38e1c3 20578996 openjdk-6-doc_6b23~pre9-2_all.deb
Files: 
 2c3968d42e562608640bca7231eceb75 3663 java optional openjdk-6_6b23~pre9-2.dsc
 cd8868e051a243594433186fc4f8e3e0 132766 java optional openjdk-6_6b23~pre9-2.diff.gz
 c84718ef41a0220ced1e84b2789f8d70 10991506 java optional openjdk-6-jdk_6b23~pre9-2_amd64.deb
 5e1cb561cecf89ef298dd381ab8f90c5 25276260 java optional openjdk-6-jre-headless_6b23~pre9-2_amd64.deb
 b9eb5f28041038c7577ec4935c5d8754 236156 java optional openjdk-6-jre_6b23~pre9-2_amd64.deb
 546fff91ae052334e98d31c03aee80b5 2310334 java extra openjdk-6-demo_6b23~pre9-2_amd64.deb
 6fabbb41f0fc1e7eda16313cbecd6d2b 142342090 debug extra openjdk-6-dbg_6b23~pre9-2_amd64.deb
 aa374ee2d102e95769e926647fe4e2a8 442176 java extra icedtea-6-jre-cacao_6b23~pre9-2_amd64.deb
 1f38b65cc81133e7cc41e4a4ef899117 511862 java extra icedtea-6-jre-jamvm_6b23~pre9-2_amd64.deb
 d6e66db8c7e5539eb929f8f23afce34d 2265642 java extra openjdk-6-jre-zero_6b23~pre9-2_amd64.deb
 f12e03ac0c7975d92c2990cab5770831 6131732 java optional openjdk-6-jre-lib_6b23~pre9-2_all.deb
 012b1dbb18a53ecf47a5973d9a022a63 40875652 java extra openjdk-6-source_6b23~pre9-2_all.deb
 4affb908ffefe2cfbe543fa26bed77ae 20578996 doc extra openjdk-6-doc_6b23~pre9-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOfQGAAAoJEHXiDM0z50n80ZgQALFQPT/ruAmfaANHM9tkn86X
av7ArOjv3ewK9XfJli9wgW4RDzOVxDfuUf/ww42Ox6ZNW9B3J4+4ZkW7H8QCy3AF
JJBnSZP5sumLU5a7sxA9ldrURyH5lW96M5FdKqtU/Xw4JqUTIjpKkv0/1a/99due
6YaF8TwA0w7AGrHD/e1SEfDrGI6NQkB/hf+6JaNPI5BKzxBKqrsA0eSpVnKVK25Z
D5mtpJTXTyPAfRCOa3hkuZPYgjdJeLgrkiaZRRq7w48at4y6IiJDmeFAa9v1VmtE
2nmCcYY/U39NE2sXjJ6hcElQGogzPRqLLYnLJixadl/cwGmYESwB0SPHUHTYhjG2
mE5rUbCDQdbl+6qTM4tuMhUA6MUEQl4ya6yB69WfLS5NXCduruwoaMgA1mpSYLBH
8lyX/ymkkW7tyhcCTzrV+UlOszijHnjsbQy/ouzKRsW6HQwfGInxXJMKpz0XfW5x
PcRVoL4iyrH6HfIboQddGEPDsCKc03Oknnxvt/Gm6tLV9DMqp8XF++r+cuUuskff
wZoDCFHmMByhrCVZ6nOgw+/Sw0VS0QdIeGqp7AVb/144yRW2SKABl3uaPjomjCTl
UyL3hHqlftsvZ3idMkGt/XVWFcPdZSXL06SEwTNxqqyDx74gdqKs7EY7JCG657Ix
sPzLWpHdP3R8fYl5zf1E
=F9jR
-----END PGP SIGNATURE-----





Forcibly Merged 641530 642933. Request was from Sylvestre Ledru <sylvestre@debian.org> to control@bugs.debian.org. (Sun, 25 Sep 2011 21:57:44 GMT) Full text and rfc822 format available.

Reply sent to "Damien Raude-Morvan" <drazzib@debian.org>:
You have taken responsibility. (Sat, 01 Oct 2011 10:16:16 GMT) Full text and rfc822 format available.

Notification sent to Raphaël Hertzog <hertzog@debian.org>:
Bug acknowledged by developer. (Sat, 01 Oct 2011 10:16:25 GMT) Full text and rfc822 format available.

Message #55 received at 641530-done@bugs.debian.org (full text, mbox):

From: "Damien Raude-Morvan" <drazzib@debian.org>
To: 641530-done@bugs.debian.org
Subject: Re: Bug#641530: fop: fails with java.lang.IllegalArgumentException: Cannot open file sRGB.pf
Date: Sat, 1 Oct 2011 12:11:07 +0200
Version: 6b23~pre9-2

Le mercredi 14 septembre 2011 09:51:40, vous avez écrit :
> Package: fop
> Version: 1:1.0.dfsg2-2
> Severity: grave
> Justification: renders package unusable
[...]
> Failure log:
> 
> [warning] /usr/bin/fop: Unable to locate servlet-api in /usr/share/java
> java.lang.IllegalArgumentException: Cannot open file sRGB.pf

Fixed in openjdk-6 6b23~pre9-2.

Cheers,
-- 
Damien - Debian Developper
http://wiki.debian.org/DamienRaudeMorvan




Reply sent to "Damien Raude-Morvan" <drazzib@debian.org>:
You have taken responsibility. (Sat, 01 Oct 2011 10:16:32 GMT) Full text and rfc822 format available.

Notification sent to Mònica Ramírez Arceda <monica@probeta.net>:
Bug acknowledged by developer. (Sat, 01 Oct 2011 10:16:35 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 30 Oct 2011 07:33:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 10:42:21 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.